<!-- ---------------------------------------------------------
  --
  -- Author: 1q74.tistory.com
  --
  --------------------------------------------------------- -->
<!doctype html>
<html lang="ko">
<head>
<meta charset="utf-8">
<title>[1q74.tistory.com] javascript/jquery/selector/next-adjacent</title>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
</head>
<body>

	<div name="_1q74-example-root">
		<div name="_1q74-example-1">
			<table border="1">
				<tr>
					<td>
						<span>child#1-1</span>
						<input type="text" value="child#1-2" size="10"/>
					</td>
					<td>child#1-2</td>
				</tr>
				<tr>
					<td>child#2-1</td>
					<td>child#2-2</td>
				</tr>
				<tr>
					<td>
						<span>child#3-1</span>
						<input type="text" value="child#3-2" size="10"/>
						<input type="text" value="child#3-3" size="10"/>
					</td>
					<td>child#3-3</td>
				</tr>
			</table>
		</div>

		<div name="_1q74-example-bottom">
			<br/>
			<button name="btn-find">#1. $("[name='_1q74-example-1'] span + input")</button>
		</div>
	</div>

	<hr/>
	<h5>[HTML Code]</h5>
	<div name="_1q74-source">
	</div>
	<h5>[//HTML Code]</h5>

<script>
var buttonContainer = $("[name='_1q74-example-bottom']");
var btnFind = buttonContainer.find("[name='btn-find']");
var elements = $("[name='_1q74-example-1'] span + input");

btnFind.click(function() {
	elements.each(function(i, el) {
		const element = $(el);

		if(!element.is("[style]")) {
			element.css("background", "#E01AB9");
		} else {
			element.removeAttr("style");
		}
	});
});

// ------------------------------------------------------
// 소스출력
// ------------------------------------------------------
var textSource = $("[name='_1q74-source']");
var exampleHtml = $("[name='_1q74-example-root']").html();
var specialCharLines = textSource.text(exampleHtml).html().split("\n");

textSource.html(specialCharLines.join("<br/>").replaceAll("\t", "&nbsp;&nbsp;"));
</script>
<style>
[name="_1q74-example-root"] {
	min-height: 170px;
}

[name="_1q74-example-1"] {
	min-height: 140px;
}

[name="_1q74-example-root"] [type="image"]{
	width: 100px;
}

[name="_1q74-example-1"] td {
	min-width: 100px;
	min-height: 30px;
}

[name|="_1q74-example"] button
,[name="_1q74-source"] button {
	background: lightgray;
	border: 5px outset;
	min-height: 30px;
}

[name|="_1q74-example"] button:active
,[name="_1q74-source"] button:active {
	border: 2px inset;
	min-height: 30px;
}
</style>

</body>
</html>
